Kanorio

API 레퍼런스

Access

Customer API: GET /access/{id}

이 페이지는 영어로만 제공됩니다. API 레퍼런스, Webhook 이벤트, 변경 내역은 코드의 필드 이름·오류 코드와 맞추기 위해 영어로 제공합니다.
Base URL https://{site}/api/v1/customerErrorsPagination

Parameters

  • idstring · pathrequired
  • type"deliverable" | "unit" · query

Response 200

  • grantedbooleanrequired
  • reason"entitlement" | "preview" | "none" | "not_released" | "expired" | "hidden" | "prerequisite"required

    prerequisite: blocked by the course's require-in-order rule; access.lockedByUnitId is the unit to finish first.

  • availableAtstring | nullrequired
curl -X GET "https://{site}/api/v1/customer/access/{id}" \
  -H "Authorization: Bearer $KANORIO_CUSTOMER_TOKEN"